/**
 * Controller for Statistics page
 */
Ext.define('Docs.controller.Stats', {
    extend: 'Docs.controller.Content',
    baseUrl: "#!/stats",

    refs: [
        {
            ref: 'viewport',
            selector: '#viewport'
        },
        {
            ref: 'index',
            selector: '#statsindex'
        }
    ],

    init: function() {
        this.addEvents('loadIndex');
    },

    loadIndex: function() {
        this.fireEvent('loadIndex');
        Ext.getCmp('treecontainer').hide();
        this.callParent([true]);
    },

    /**
     * True if welcome page is available.
     * @return {Boolean}
     */
    isActive: function() {
        return !!this.getIndex().getTab();
    }
});
